#!/bin/bash

#
# verbJobsExecTimesCollectionParam.sh
#
#   memorizza nel file di output per la modalita' verbose, se attiva,
#   il valore dei parametri specificati per la raccolta in un unico
#   file dei dati relativi alla durata di ognuna delle simulazioni
#   eseguite dai singoli job
#
                          
#
# Parametri
#
# <verbose>
#   i valori ammessi per il parametro sono 0 o 1.
#   Se 1 attiva la modalita' verbose di esecuzione dello script
# <callingScript>
#   nome dello script chiamante
# <workingDirectoryRelativePath>
#   path relativo alla directory g4cParallelSimulation di quella
#   di lavoro che contiene le subdirectory assegnate ai job che
#   realizzano la simulazione, il file con le informazioni relative
#   ai loro istanti di sottomissione e di completamento e il file di
#   output per la modalita' verbose
# <jobRuntimeFileName>
#   nome del file, nella directory assegnata ad ogni job, nel
#   quale vengono memorizzati i suoi istanti di sottomissione
#   e di completamento
# <jobsRuntimeFileName>
#   nome del file, nella working directory, nel
#   quale vengono memorizzati l'istante di sottomissione e
#   di completamento di tutti i job che realizzano la simulazione
# <verbOutputFileRelativePath>
#   path relativo alla directory g4cParallelSimulation del file
#   di output per la modalita' verbose
#

# Estrae i parametri dello script dalla sua chiamata
verbose=$1
callingScript=$2
workingDirectoryRelativePath=$3
jobRuntimeFileName=$4
jobsRuntimeFileName=$5
verbOutputFileRelativePath=$6

# Esce se la modalita' verbose non e' attiva
if test $verbose -eq 0
then
   exit 0
fi

# Memorizza nel file di output per la modalita verbose, se attiva,
# il valore dei parametri specificati per la raccolta in un unico
# file dei dati relativi alla durata di ognuna delle simulazioni
# eseguite dai singoli job
cat <<  EOF >> $verbOutputFileRelativePath   
Valore dei parametri
-
<workingDirectoryRelativePath>: $workingDirectoryRelativePath
<jobRuntimeFileName>: $jobRuntimeFileName
<jobsRuntimeFileName>: $jobsRuntimeFileName

EOF

exit 0

